package eu.mhsl.minenet.minigames.message;

import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;

public enum Icon {
    SCIENCE("\uD83E\uDDEA", NamedTextColor.LIGHT_PURPLE),
    STAR("\u2606", NamedTextColor.GOLD),
    CHAT("\u276F\u276F", NamedTextColor.WHITE),
    SUCCESS("\u2714", NamedTextColor.GREEN),
    ERROR("\u274C", NamedTextColor.RED);

    private final String symbol;
    private final NamedTextColor color;
    Icon(String symbol, NamedTextColor color) {
        this.symbol = symbol;
        this.color = color;
    }

    public String getSymbol() {
        return symbol;
    }

    public NamedTextColor getColor() {
        return color;
    }

    public Component getComponent() {
        return Component.text(getSymbol(), getColor());
    }
}
